Name: cockpit-files
Version: 1.59.g619f886
Release: 1.20240625123141505559.pr542.59.g619f886%{?dist}
Summary: A filesystem browser for Cockpit
License: LGPL-2.1-or-later

Source0: cockpit-files-1.59.g619f886.tar.xz
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
BuildRequires: nodejs
BuildRequires: make
%if 0%{?suse_version}
# Suse's package has a different name
BuildRequires:  appstream-glib
%else
BuildRequires:  libappstream-glib
%endif
BuildRequires: gettext
%if 0%{?rhel} && 0%{?rhel} <= 8
BuildRequires: libappstream-glib-devel
%endif

Requires: cockpit-bridge >= 318

Provides: bundled(npm(@patternfly/patternfly)) = 5.3.1
Provides: bundled(npm(@patternfly/react-core)) = 5.3.3
Provides: bundled(npm(@patternfly/react-icons)) = 5.3.2
Provides: bundled(npm(@patternfly/react-styles)) = 5.3.1
Provides: bundled(npm(@patternfly/react-table)) = 5.3.3
Provides: bundled(npm(@patternfly/react-tokens)) = 5.3.1
Provides: bundled(npm(array-buffer-byte-length)) = 1.0.1
Provides: bundled(npm(attr-accept)) = 2.2.2
Provides: bundled(npm(available-typed-arrays)) = 1.0.7
Provides: bundled(npm(call-bind)) = 1.0.7
Provides: bundled(npm(date-fns)) = 3.6.0
Provides: bundled(npm(deep-equal)) = 2.2.3
Provides: bundled(npm(define-data-property)) = 1.1.4
Provides: bundled(npm(define-properties)) = 1.2.1
Provides: bundled(npm(es-define-property)) = 1.0.0
Provides: bundled(npm(es-errors)) = 1.3.0
Provides: bundled(npm(es-get-iterator)) = 1.1.3
Provides: bundled(npm(file-selector)) = 0.6.0
Provides: bundled(npm(focus-trap)) = 7.5.2
Provides: bundled(npm(for-each)) = 0.3.3
Provides: bundled(npm(function-bind)) = 1.1.2
Provides: bundled(npm(functions-have-names)) = 1.2.3
Provides: bundled(npm(get-intrinsic)) = 1.2.4
Provides: bundled(npm(gopd)) = 1.0.1
Provides: bundled(npm(has-bigints)) = 1.0.2
Provides: bundled(npm(has-property-descriptors)) = 1.0.2
Provides: bundled(npm(has-proto)) = 1.0.3
Provides: bundled(npm(has-symbols)) = 1.0.3
Provides: bundled(npm(has-tostringtag)) = 1.0.2
Provides: bundled(npm(hasown)) = 2.0.2
Provides: bundled(npm(internal-slot)) = 1.0.7
Provides: bundled(npm(is-arguments)) = 1.1.1
Provides: bundled(npm(is-array-buffer)) = 3.0.4
Provides: bundled(npm(is-bigint)) = 1.0.4
Provides: bundled(npm(is-boolean-object)) = 1.1.2
Provides: bundled(npm(is-callable)) = 1.2.7
Provides: bundled(npm(is-date-object)) = 1.0.5
Provides: bundled(npm(is-map)) = 2.0.3
Provides: bundled(npm(is-number-object)) = 1.0.7
Provides: bundled(npm(is-regex)) = 1.1.4
Provides: bundled(npm(is-set)) = 2.0.3
Provides: bundled(npm(is-shared-array-buffer)) = 1.0.3
Provides: bundled(npm(is-string)) = 1.0.7
Provides: bundled(npm(is-symbol)) = 1.0.4
Provides: bundled(npm(is-weakmap)) = 2.0.2
Provides: bundled(npm(is-weakset)) = 2.0.3
Provides: bundled(npm(isarray)) = 2.0.5
Provides: bundled(npm(js-tokens)) = 4.0.0
Provides: bundled(npm(lodash)) = 4.17.21
Provides: bundled(npm(loose-envify)) = 1.4.0
Provides: bundled(npm(object-assign)) = 4.1.1
Provides: bundled(npm(object-inspect)) = 1.13.2
Provides: bundled(npm(object-is)) = 1.1.6
Provides: bundled(npm(object-keys)) = 1.1.1
Provides: bundled(npm(object.assign)) = 4.1.5
Provides: bundled(npm(possible-typed-array-names)) = 1.0.0
Provides: bundled(npm(prop-types)) = 15.8.1
Provides: bundled(npm(react-dom)) = 18.3.1
Provides: bundled(npm(react-dropzone)) = 14.2.3
Provides: bundled(npm(react-is)) = 16.13.1
Provides: bundled(npm(react)) = 18.3.1
Provides: bundled(npm(regexp.prototype.flags)) = 1.5.2
Provides: bundled(npm(scheduler)) = 0.23.2
Provides: bundled(npm(set-function-length)) = 1.2.2
Provides: bundled(npm(set-function-name)) = 2.0.2
Provides: bundled(npm(side-channel)) = 1.0.6
Provides: bundled(npm(stop-iteration-iterator)) = 1.0.0
Provides: bundled(npm(tabbable)) = 6.2.0
Provides: bundled(npm(throttle-debounce)) = 5.0.0
Provides: bundled(npm(tslib)) = 2.6.3
Provides: bundled(npm(which-boxed-primitive)) = 1.0.2
Provides: bundled(npm(which-collection)) = 1.0.2
Provides: bundled(npm(which-typed-array)) = 1.1.15

%description
A filesystem browser for Cockpit

%prep
%setup -q -n cockpit-files

%build
# Nothing to build

%install
%make_install PREFIX=/usr

# drop source maps, they are large and just for debugging
find %{buildroot}%{_datadir}/cockpit/ -name '*.map' | xargs --no-run-if-empty rm --verbose

%check
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

# this can't be meaningfully tested during package build; tests happen through
# FMF (see plans/all.fmf) during package gating

%files
%doc README.md
%license LICENSE dist/index.js.LEGAL.txt dist/index.css.LEGAL.txt
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Tue Jun 25 2024 Packit <hello@packit.dev> - 1.59.g619f886-1.20240625123141505559.pr542.59.g619f886
- introduce parse_uri (Jelle van der Waa)
- css changes (Garrett LeSage)
- Stop using nth-of-type for tests (Jelle van der Waa)
- Implement bookmark support (Jelle van der Waa)
- po: Don't mark JavaScript strings as c-format (Martin Pitt)
- Drop overriden width property from SidebarPanel (Jelle van der Waa)
- Use fsinfo from Cockpit, drop our copy (Allison Karlitskaya)
- menu: Don't say `selected[0]` when length === 0 (Allison Karlitskaya)
- menu: fix "nothing selected" logic (Allison Karlitskaya)
- build(deps-dev): bump the eslint group across 1 directory with 3 updates (dependabot[bot])
- build(deps-dev): bump stylelint-config-standard in the stylelint group (dependabot[bot])
- build(deps-dev): bump stylelint-config-standard in the stylelint group (dependabot[bot])
- Wrap EmptyStatePanel in a Card for consistency (Jelle van der Waa)
- test: depend on cockpit-files for reverse dep tests (Jelle van der Waa)
- test: lower test duration to 30 minutes (Jelle van der Waa)
- Fall back to sorting by name on ties (Allison Karlitskaya)
- Port files-card-body to ts, improve sorting typing (Allison Karlitskaya)
- Fix type safety issues with menu items (Allison Karlitskaya)
- settings-dropdown: port to TypeScript (Allison Karlitskaya)
- packit.yaml: run tests on a different architecture (aarch64) (Jelle van der Waa)
- Makefile: Update Cockpit lib to c8fceb14235c17abfe9149aa7994a4aa (Cockpit Project)
- test: mock the list view dates (Jelle van der Waa)
- test/reference: update to unbreak main (Allison Karlitskaya)
- test: restore hostname correctly (Allison Karlitskaya)
- Makefile: Update Cockpit lib for WebKit upload fix (Allison Karlitskaya)
- test: add pixel tests (Jelle van der Waa)
- Set tabular font for date/size table column (Jelle van der Waa)
- test: bump reference image to Fedora-40 (Jelle van der Waa)
- breadcrumb: Add style to the path divider (Garrett LeSage)
- various json: fix indentation (Allison Karlitskaya)
- eslint: configure import sorting rules (Allison Karlitskaya)
- test: enable upload test on Debian-testing (Jelle van der Waa)
- test: properly wait on directory to be loaded (Jelle van der Waa)
- test: properly wait until directories are changed (Jelle van der Waa)
- po: Update from Fedora Weblate (GitHub Workflow)
- Import selected PF components only (Martin Pitt)
- Go back to using Debian testing cockpit-ws package (Martin Pitt)
- packit: Enable COPR/Fedora releases (Martin Pitt)
- Makefile: Update Cockpit lib to 06a2f4555e7a6c1e82954f2921cb6f1b (Cockpit Project)
- cockpit-ci: Update container to 2024-06-11 (Cockpit Project)
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- Make sure we close the fsinfo on nvagiation (Allison Karlitskaya)
- fsinfo: change to class-based style (Allison Karlitskaya)
- build(deps-dev): bump sass from 1.77.1 to 1.77.5 (dependabot[bot])
- tsconfig.json: enable exactOptionalPropertyTypes (Allison Karlitskaya)
- src: don't add an empty upload popover (Allison Karlitskaya)
- test: add strict types (Allison Karlitskaya)
- Makefile: Update Cockpit lib to 55b4d5c0c5c3488c572924defdaaf401 (Cockpit Project)
- Makefile: Update Cockpit lib to e46f7e022e13f2a984d25a3e189a5117 (Cockpit Project)
- build.js: support outputting esbuild metadata file (Jelle van der Waa)
- Makefile: Update Cockpit lib to 75b4087cbfad1218dbebce57913a73d5 (Cockpit Project)
- packaging: add Suse compatibility (Jelle van der Waa)
- packaging: sync Fedora packaging (Jelle van der Waa)
- test: Replace custom press_special_key() with standard testlib (Martin Pitt)
- cockpit-ci: Update container to 2024-06-03 (Cockpit Project)
- build(deps-dev): bump @typescript-eslint/eslint-plugin (dependabot[bot])
- build(deps-dev): bump tsx from 4.11.0 to 4.15.0 (dependabot[bot])
- build(deps-dev): bump esbuild-sass-plugin in the esbuild group (dependabot[bot])
